| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Private Attributes | List of all members
THistSvc::GlobalDirectoryRestore Class Reference

Helper class that manages ROOts global directory and file. More...

Collaboration diagram for THistSvc::GlobalDirectoryRestore:
[legend]

## Public Member Functions
| GlobalDirectoryRestore (THistSvcMutex_t &mut)
| ~GlobalDirectoryRestore ()

## Private Attributes
TDirectory * | m_gDirectory
TFile * | m_gFile
int | m_gErrorIgnoreLevel
std::lock_guard< THistSvcMutex_t > | m_lock

## Detailed Description

Helper class that manages ROOts global directory and file.

Definition at line 168 of file THistSvc.h.

## Constructor & Destructor Documentation

## ◆ GlobalDirectoryRestore()

THistSvc::GlobalDirectoryRestore::GlobalDirectoryRestore | ( | THistSvcMutex_t & | mut | ) |

Definition at line 1153 of file THistSvc.cpp.

1153 : m_lock( mut ) {
1154 m_gDirectory = gDirectory;
1155 m_gFile = gFile;
1156 m_gErrorIgnoreLevel = gErrorIgnoreLevel;
1157 }
THistSvc::GlobalDirectoryRestore::m_lock
std::lock_guard< THistSvcMutex_t > m_lock
Definition: THistSvc.h:177
THistSvc::GlobalDirectoryRestore::m_gFile
TFile * m_gFile
Definition: THistSvc.h:175
THistSvc::GlobalDirectoryRestore::m_gErrorIgnoreLevel
int m_gErrorIgnoreLevel
Definition: THistSvc.h:176
THistSvc::GlobalDirectoryRestore::m_gDirectory
TDirectory * m_gDirectory
Definition: THistSvc.h:174

## ◆ ~GlobalDirectoryRestore()

THistSvc::GlobalDirectoryRestore::~GlobalDirectoryRestore | ( |  | ) |

Definition at line 1159 of file THistSvc.cpp.

1159 {
1160 gDirectory = m_gDirectory;
1161 gFile = m_gFile;
1162 gErrorIgnoreLevel = m_gErrorIgnoreLevel;
1163 }
THistSvc::GlobalDirectoryRestore::m_gFile
TFile * m_gFile
Definition: THistSvc.h:175
THistSvc::GlobalDirectoryRestore::m_gErrorIgnoreLevel
int m_gErrorIgnoreLevel
Definition: THistSvc.h:176
THistSvc::GlobalDirectoryRestore::m_gDirectory
TDirectory * m_gDirectory
Definition: THistSvc.h:174

## Member Data Documentation

## ◆ m_gDirectory

TDirectory* THistSvc::GlobalDirectoryRestore::m_gDirectory
| private

Definition at line 174 of file THistSvc.h.

## ◆ m_gErrorIgnoreLevel

int THistSvc::GlobalDirectoryRestore::m_gErrorIgnoreLevel
| private

Definition at line 176 of file THistSvc.h.

## ◆ m_gFile

TFile* THistSvc::GlobalDirectoryRestore::m_gFile
| private

Definition at line 175 of file THistSvc.h.

## ◆ m_lock

std::lock_guard<THistSvcMutex_t> THistSvc::GlobalDirectoryRestore::m_lock
| private

Definition at line 177 of file THistSvc.h.

The documentation for this class was generated from the following files:

- GaudiSvc/src/THistSvc/THistSvc.h
- GaudiSvc/src/THistSvc/THistSvc.cpp